<?php

namespace Litecms\EmailTemplate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmailTemplateTransformer extends TransformerAbstract
{
    public function transform(\Litecms\EmailTemplate\Models\EmailTemplate $email_template)
    {
        return [
            'id'                => $email_template->getRouteKey(),
            'key'               => [
                'public'    => $email_template->getPublicKey(),
                'route'     => $email_template->getRouteKey(),
            ], 
            'subject'           => $email_template->subject,
            'body'              => $email_template->body,
            'url'               => [
                'public'    => trans_url('email_template/'.$email_template->getPublicKey()),
                'user'      => guard_url('email_template/email_template/'.$email_template->getRouteKey()),
            ], 
            'status'            => trans('app.'.$email_template->status),
            'created_at'        => format_date($email_template->created_at),
            'updated_at'        => format_date($email_template->updated_at),
        ];
    }
}